import { select } from 'd3';

const svg = select('svg');

// Sky
svg
  .append('rect')
  .attr('width', '100%')
  .attr('height', '50%')
  .attr('fill', 'beige');

// Ocean
svg
  .append('rect')
  .attr('width', '100%')
  .attr('height', '50%')
  .attr('y', '50%')
  .attr('fill', 'lightblue');

// Sun
svg
  .append('circle')
  .attr('cx', '90%')
  .attr('cy', 90)
  .attr('r', 70)
  .attr('fill', 'yellow');

// Fish 1
// Body
svg
  .append('ellipse')
  .attr('cx', 600)
  .attr('cy', 350)
  .attr('rx', 80)
  .attr('ry', 40)
  .attr('fill', 'orange');

// Tail
const tailPoints1 = '580,350 520,330 520,370';
svg
  .append('polygon')
  .attr('points', tailPoints1)
  .attr('fill', 'orange');

// Eye
svg
  .append('circle')
  .attr('cx', 640)
  .attr('cy', 350)
  .attr('r', 5)
  .attr('fill', 'black');

// Fins
// Top fin
const topFinPoints1 = '620,320 650,310 680,320';
svg
  .append('polygon')
  .attr('points', topFinPoints1)
  .attr('fill', 'orange');

// Bottom fin
const bottomFinPoints1 = '620,380 650,390 680,380';
svg
  .append('polygon')
  .attr('points', bottomFinPoints1)
  .attr('fill', 'orange');

// Bubble
svg
  .append('circle')
  .attr('cx', 650)
  .attr('cy', 370)
  .attr('r', 3)
  .attr('fill', 'white');

svg
  .append('circle')
  .attr('cx', 660)
  .attr('cy', 365)
  .attr('r', 3)
  .attr('fill', 'white');

svg
  .append('circle')
  .attr('cx', 670)
  .attr('cy', 368)
  .attr('r', 3)
  .attr('fill', 'white');

// Sand
svg
  .append('ellipse')
  .attr('cx', 100)
  .attr('cy', 400)
  .attr('rx', 95)
  .attr('ry', 50)
  .attr('fill', 'tan');

// Palm Tree
// Trunk
svg
  .append('rect')
  .attr('x', 90)
  .attr('y', 300)
  .attr('width', 20)
  .attr('height', 100)
  .attr('fill', 'brown');

// Leaves
for (let i = 0; i < 2; i++) {
  svg
    .append('circle')
    .attr('cx', 100)
    .attr('cy', 250 + i * 50)
    .attr('r', 40)
    .attr('fill', 'green');
}
